slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetProblemType

Specifies the type of the eigenvalue problem.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetProblemType(EPS eps,EPSProblemType type)

Logically Collective

### Input Parameters

| eps | - the eigensolver context
| type | - a known type of eigenvalue problem

### Options Database Keys

| -eps_hermitian | - Hermitian eigenvalue problem
| -eps_gen_hermitian | - generalized Hermitian eigenvalue problem
| -eps_non_hermitian | - non-Hermitian eigenvalue problem
| -eps_gen_non_hermitian | - generalized non-Hermitian eigenvalue problem
| -eps_pos_gen_non_hermitian | - generalized non-Hermitian eigenvalue problem with positive semi-definite B
| -eps_gen_indefinite | - generalized Hermitian-indefinite eigenvalue problem

### Notes

Allowed values for the problem type are Hermitian (EPS_HEP), non-Hermitian (EPS_NHEP), generalized Hermitian (EPS_GHEP), generalized non-Hermitian (EPS_GNHEP), generalized non-Hermitian with positive semi-definite B (EPS_PGNHEP), and generalized Hermitian-indefinite (EPS_GHIEP).

This function must be used to instruct SLEPc to exploit symmetry. If no problem type is specified, by default a non-Hermitian problem is assumed (either standard or generalized). If the user knows that the problem is Hermitian (i.e. A=A^H) or generalized Hermitian (i.e. A=A^H, B=B^H, and B positive definite) then it is recommended to set the problem type so that eigensolver can exploit these properties.

### See Also

EPSSetOperators(), EPSSetType(), EPSGetProblemType(), EPSProblemType

### Level

intermediate

### Location

src/eps/interface/epsopts.c

### Examples

src/eps/tutorials/ex1.c
src/eps/tutorials/ex1f.F90
src/eps/tutorials/ex2.c
src/eps/tutorials/ex3.c
src/eps/tutorials/ex5.c
src/eps/tutorials/ex6f.F90
src/eps/tutorials/ex9.c
src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
src/eps/tutorials/ex11.c
src/eps/tutorials/ex12.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages